package com.yihu.jw.entity.thirdUpload;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "upns_doctor_score")
@JsonIgnoreProperties(value = { "hibernateLazyInitializer", "handler" })
public class UpnsDoctorScoreDO extends UuidIdentityEntity {
    private String id_doctor;
    private String organ_code;
    private String organ_name;
    private String net_service;
    private String net_service_name;
    private String val_score;
    private String grader;
    private String dt_grade;
    private String crt_date;
    private String origin_id;
    private String grade_content;
    private Date create_time;
    private Date update_time;
    private String is_del;
    @Column(name = "grade_content")
    public String getGrade_content() {
        return grade_content;
    }

    public void setGrade_content(String grade_content) {
        this.grade_content = grade_content;
    }

    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }
    @Column(name = "is_del")
    public String getIs_del() {
        return is_del;
    }

    public void setIs_del(String is_del) {
        this.is_del = is_del;
    }

    @Column(name = "create_time")
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    @Column(name = "id_doctor")
    public String getId_doctor() {
        return id_doctor;
    }

    public void setId_doctor(String id_doctor) {
        this.id_doctor = id_doctor;
    }
    @Column(name = "organ_code")
    public String getOrgan_code() {
        return organ_code;
    }

    public void setOrgan_code(String organ_code) {
        this.organ_code = organ_code;
    }
    @Column(name = "organ_name")
    public String getOrgan_name() {
        return organ_name;
    }

    public void setOrgan_name(String organ_name) {
        this.organ_name = organ_name;
    }
    @Column(name = "net_service")
    public String getNet_service() {
        return net_service;
    }

    public void setNet_service(String net_service) {
        this.net_service = net_service;
    }
    @Column(name = "net_service_name")
    public String getNet_service_name() {
        return net_service_name;
    }

    public void setNet_service_name(String net_service_name) {
        this.net_service_name = net_service_name;
    }
    @Column(name = "val_score")
    public String getVal_score() {
        return val_score;
    }

    public void setVal_score(String val_score) {
        this.val_score = val_score;
    }
    @Column(name = "grader")
    public String getGrader() {
        return grader;
    }

    public void setGrader(String grader) {
        this.grader = grader;
    }
    @Column(name = "dt_grade")
    public String getDt_grade() {
        return dt_grade;
    }

    public void setDt_grade(String dt_grade) {
        this.dt_grade = dt_grade;
    }
    @Column(name = "crt_date")
    public String getCrt_date() {
        return crt_date;
    }

    public void setCrt_date(String crt_date) {
        this.crt_date = crt_date;
    }
    @Column(name = "origin_id")
    public String getOrigin_id() {
        return origin_id;
    }

    public void setOrigin_id(String origin_id) {
        this.origin_id = origin_id;
    }
}
